<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>
        <variable
            name="viewmodel"
            type="net.ayokemasjid.adminapp.ui.infaq.InfaqViewModel"/>
    </data>

    <androidx.coordinatorlayout.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:id="@+id/root_layout"
        tools:context="net.ayokemasjid.adminapp.ui.infaq.AddInfaqActivity">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <androidx.appcompat.widget.Toolbar
                android:id="@+id/toolbar"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:elevation="6dp"
                app:navigationIcon="@drawable/ic_arrow_back_black_24dp"
                app:title="Tambah Infaq"
                app:titleTextColor="#2F3542"/>

            <androidx.core.widget.NestedScrollView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                >

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="vertical"
                    >

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Tanggal"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <TextView
                                android:id="@+id/etTanggal"
                                android:background="?attr/editTextBackground"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="DD/MM/YYYY"
                                android:inputType="date"
                                android:text="@={viewmodel.date}"
                                android:textSize="14sp"
                                android:textColor="@color/dark"
                                android:layout_gravity="center_vertical" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Jenis Infaq"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:minHeight="40dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_marginStart="9dp"
                            android:layout_marginEnd="10dp"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:focusable="true">

                            <Spinner
                                android:id="@+id/spinnerJenisInfaq"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:theme="@style/spinner_theme"
                                android:fontFamily="@font/roboto"
                                android:textSize="14sp"
                                android:textColor="@color/dark"
                                android:spinnerMode="dropdown"
                                />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Jumlah Infaq"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:id="@+id/cardViewJumlah"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="horizontal">

                            <TextView
                                android:id="@+id/iconJenisInfaq"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textSize="14sp"
                                android:textColor="@color/dark"
                                android:text="Rp."
                                android:focusable="false"
                                android:enabled="true"
                                android:layout_gravity="center"
                                android:layout_marginStart="10dp"
                                android:fontFamily="@font/roboto"/>

                            <EditText
                                android:id="@+id/etJumlahInfaq"
                                android:layout_marginStart="14dp"
                                android:layout_marginEnd="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi jumlah infaq"
                                android:inputType="number"
                                android:text="@={viewmodel.total}"
                                android:textSize="14sp"
                                android:layout_gravity="center_vertical" />

                        </LinearLayout>

                    </androidx.cardview.widget.CardView>

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="@font/roboto"
                        android:layout_marginBottom="7dp"
                        android:layout_marginTop="13dp"
                        android:layout_marginStart="28dp"
                        android:text="Keterangan"
                        android:textSize="14sp"
                        android:textColor="@color/dark"/>

                    <androidx.cardview.widget.CardView
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:cardCornerRadius="8dp"
                        android:layout_marginStart="28dp"
                        android:layout_marginEnd="27dp">

                        <FrameLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:focusable="true">

                            <EditText
                                android:id="@+id/etKeterangan"
                                android:layout_marginStart="12dp"
                                android:layout_marginEnd="10dp"
                                android:layout_marginTop="12dp"
                                android:layout_marginBottom="12dp"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:minHeight="97dp"
                                android:textAlignment="gravity"
                                android:gravity="top"
                                android:background="@null"
                                android:autofillHints=""
                                android:fontFamily="@font/roboto"
                                android:hint="Isi keterangan"
                                android:inputType="textCapSentences|textMultiLine"
                                android:text="@={viewmodel.info}"
                                android:textSize="14sp"
                                android:layout_gravity="top" />

                        </FrameLayout>

                    </androidx.cardview.widget.CardView>

                    <Button
                        android:id="@+id/buttonAddInfaq"
                        android:layout_marginStart="11dp"
                        android:layout_marginEnd="11dp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_gravity="bottom"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="22dp"
                        android:fontFamily="@font/roboto_bold"
                        android:text="Tambah"
                        android:textAllCaps="false"
                        android:textColor="#FFFFFF"
                        android:textSize="18sp" />

                </LinearLayout>

            </androidx.core.widget.NestedScrollView>

        </LinearLayout>

        <ProgressBar
            android:id="@+id/progress_bar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal|center_vertical"
            android:visibility="invisible" />

    </androidx.coordinatorlayout.widget.CoordinatorLayout>

</layout>